Subject: Re: [PATCH net-next 1/3] tools: ynl: cli: Add --list-attrs option to show operation attributes

From: Jakub Kicinski <[email-masked]>
Date: Tue, 18 Nov 2025 09:13:28 -0800

On Tue, 18 Nov 2025 11:38:04 +0200 Gal Pressman wrote:
> > Could you try to detect that do and dump replies are identical 
> > and combine them? They are the same more often than not so 
> > I think it'd be nice to avoid printing the same info twice.  
> 
> We need to take care of both cases where the whole operation is
> identical (e.g., ethtool debug-get), and cases where only the replies
> are identical (e.g., netdev dev-get). This kind of complicates the code.

I was thinking just the reply. This is mostly for GET type operations.
Request doesn't exist for DUMP, but for DO it carries ID.

> I'll give it a few more attempts, but maybe this should come as a
> followup to this series.